# std::__profile::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > Class Template Reference

Class std::unordered_map wrapper with performance instrumentation. More...

Inherits _GLIBCXX_STD_PR::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >.

List of all members.

## Public Types

- typedef _Base::allocator_type allocator_type
- typedef _Base::const_iterator const_iterator
- typedef _Base::const_reference const_reference
- typedef _Base::difference_type difference_type
- typedef _Base::hasher hasher
- typedef _Base::iterator iterator
- typedef _Base::key_equal key_equal
- typedef _Base::key_type key_type
- typedef _Base::mapped_type mapped_type
- typedef _Base::reference reference
- typedef _Base::size_type size_type
- typedef _Base::value_type value_type

## Public Member Functions

- unordered_map (size_type __n=10, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
- template<typename _InputIterator > unordered_map (_InputIterator __f, _InputIterator __l, size_type __n=10, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
- unordered_map (unordered_map &&__x)
- unordered_map (initializer_list< value_type > __l, size_type __n=10, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
- unordered_map (const _Base &__x)
- _Base & _M_base ()
- const _Base & _M_base () const
- void clear ()
- template<typename _InputIter > void insert (_InputIter __first, _InputIter __last)
- void insert (const value_type *__first, const value_type *__last)
- iterator insert (const_iterator __iter, const value_type &__v)
- void insert (std::initializer_list< value_type > __l)
- std::pair< iterator, bool > insert (const value_type &__obj)
- unordered_map & operator= (unordered_map &&__x)
- unordered_map & operator= (initializer_list< value_type > __l)
- unordered_map & operator= (const unordered_map &__x)
- mapped_type & operator[] (const _Key &_k)
- void rehash (size_type __n)
- void swap (unordered_map &__x)

## Detailed Description

### template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<_Key>>
class std::__profile::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >

Class std::unordered_map wrapper with performance instrumentation.

Definition at line 56 of file profile/unordered_map.

The documentation for this class was generated from the following file:

- profile/unordered_map